Package io.yellowbrick.jdbc

## Class DriverConfiguration

- java.lang.Object
- - io.yellowbrick.jdbc.DriverConfiguration

    public class DriverConfiguration
    extends Object

### Nested Class Summary

Nested Classes
`static class` `DriverConfiguration.TokenCacheOption`
`static class` `DriverConfiguration.TokenType`

### Field Summary

Fields
`String` `audience`
`String` `cacertPath`
`String` `clientId`
`String` `clientSecret`
`boolean` `disableTrust`
`String` `issuer`
`String` `loginHint`
`boolean` `noBrowser`
`boolean` `quiet`
`String` `scopes`
`DriverConfiguration.TokenCacheOption` `tokenCache`
`DriverConfiguration.TokenType` `tokenType`

### Constructor Summary

Constructors
`DriverConfiguration​(Properties info)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### clientId

    public final String clientId

#### clientSecret

    public final String clientSecret

#### issuer

    public final String issuer

#### loginHint

    public final String loginHint

#### scopes

    public final String scopes

#### audience

    public final String audience

#### tokenType

    public final DriverConfiguration.TokenType tokenType

#### tokenCache

    public final DriverConfiguration.TokenCacheOption tokenCache

#### noBrowser

    public final boolean noBrowser

#### quiet

    public final boolean quiet

#### cacertPath

    public final String cacertPath

#### disableTrust

    public final boolean disableTrust

### Constructor Detail

#### DriverConfiguration

    public DriverConfiguration​(Properties info)